<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cn.yyxx.eyuancomm.channel.oppo">

    <uses-permission android:name="android.permission.MANAGE_ACCOUNTS" />
    <uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="com.vivo.appstore.permission.SILENT_INSTALL" />
    <uses-permission android:name="com.vivo.abe.permission.exidentifier.provider" />


    <application
        android:networkSecurityConfig="@xml/network_security_config"
        android:supportsRtl="true">
        <meta-data
            android:name="com.vivo.analytics.AppId"
            android:value="@string/vivo_union_analytics_appid" />
        <meta-data
            android:name="com.vivo.unionpay.sdk"
            android:value="1.6.3.0" />

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <activity
            android:name="com.vivo.unionpay.embedded.pay.main.ui.activity.CheckoutActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/VivoUnionPayAppTheme.NoActionBar" />
        <activity
            android:name="com.vivo.unionpay.embedded.pay.main.ui.activity.VCoinRechargeActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/VivoUnionPayAppTheme.NoActionBar" />
        <activity
            android:name="com.vivo.unionpay.embedded.pay.main.ui.activity.PricePointSelectedActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/VivoUnionPayAppTheme.NoActionBar" />
        <activity
            android:name="com.vivo.unionpay.embedded.pay.main.ui.activity.PayResultActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/VivoUnionPayAppTheme.NoActionBar" />
        <activity
            android:name="com.vivo.unionpay.embedded.pay.main.ui.activity.UnionActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:excludeFromRecents="true"
            android:exported="false"
            android:theme="@android:style/Theme.Dialog" /> <!-- APK:aidl service -->
        <!-- APK/SDK:通用activity -->
        <!-- APK:aidl service -->
        <!-- add for android7.0 package installer -->
        <provider
            android:name="com.vivo.unionpay.sdk.open.VivoUnionFileProvider"
            android:authorities="${applicationId}.unionpaypath"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>
</manifest>